Package Details: linphone-plugin-msx264 1.5.2-2

Git Clone URL: https://aur.archlinux.org/linphone-plugin-msx264.git (read-only)
Package Base: linphone-plugin-msx264
Description: Linphone plugin that enables H.264 video codec
Upstream URL: http://www.linphone.org/
Licenses: GPL
Submitter: None
Maintainer: Presence
Last Packager: Presence
Votes: 16
Popularity: 0.134682
First Submitted: 2010-01-04 21:36
Last Updated: 2016-11-07 15:03

Latest Comments

zeroflag commented on 2018-04-24 06:18

Can someone tell me please, how to make this work with the "linphone" (non-git) version? Everything compiles flawlessly, but the x264 codec is not visible in the option list at all. Thanks in advance for help.

zeroflag commented on 2018-04-24 06:08

Please remove "linphone-git" as dependency, as this package does not compile with it at all. The Git version depends on mediastreamer-git version, which is not found by the make process:

configure: error: Package requirements (mediastreamer >= 2.7.0) were not met:

No package 'mediastreamer' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

Alternatively, you may set the environment variables MEDIASTREAMER_CFLAGS and MEDIASTREAMER_LIBS to avoid the need to call pkg-config. See the pkg-config man page for more details.

Presence commented on 2017-11-15 02:35

Looks like there's a new 1.5.4 release in the git repository (git://git.linphone.org/msx264.git) that was never pushed to the download mirrors. I've built from the git sources and the error does not appear.

I sent them an email via their mailing list asking if we can get this new release pushed to the mirrors. If they don't push the release, I can convert the PKGBUILD to pull from the git repo.

TheDarkula commented on 2017-11-11 20:36

Just installed this, but linphone outputs an error (x264 is not selectable):

ms_filter_register(): registration of 'MSX264Enc' filter has failed: no fallback factory has been defined

Presence commented on 2016-11-07 15:04

I've updated the PKGBUILD with your fix. Thanks for catching that.

OJaksch commented on 2016-11-02 10:23

Doesn't compile anymore.
I did some beautyfying to your pkgbuild and added two lines to remove -Werror from Makefile that breaks compiling.


pkgname=linphone-plugin-msx264
_pkgname=msx264
pkgver=1.5.2
pkgrel=1
pkgdesc="Linphone plugin that enables H.264 video codec"
url="http://www.linphone.org/"
arch=('i686' 'x86_64')
license=('GPL')
source=(http://download-mirror.savannah.gnu.org/releases/linphone/plugins/sources/${_pkgname}-${pkgver}.tar.gz)
depends=('linphone')
options=('!makeflags')
md5sums=('877113f35d47b68b0ee60f934a2fee3f')

build() {
cd "${srcdir}/${_pkgname}-${pkgver}"
autoreconf --force --install
./configure --prefix=/usr
mv src/Makefile src/Makefile.tmp
sed -e 's/-Werror//g' src/Makefile.tmp > src/Makefile
make
}

package() {
cd "${srcdir}/${_pkgname}-${pkgver}"
make PACKAGE_PLUGINS_DIR=\$\(libdir\)/liblinphone/plugins DESTDIR="${pkgdir}" install
}

vnoel commented on 2013-12-16 13:37

Hi, would you care to take over maintainership of this package? I don't have the time anymore to do that :)

I will upload your PKGBUILD and leave the position!

Thanks :)

Presence commented on 2013-12-12 21:20

Here's an updated PKGBUILD with version 1.4.3 and an updated make command so the files are placed in the correct directory where Linphone will recognize them:
https://gist.github.com/anonymous/7935628

Presence commented on 2013-12-12 21:19

Here's an updated PKGBUILD with version 1.4.3 and an update make command so the files are placed in the correct directory where Linphone will recoginize them:
https://gist.github.com/anonymous/7935628

vnoel commented on 2011-02-16 11:46

updated to last version.

All comments